summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author Heinz Wiesinger2010-05-13 01:00:58 +0200
committer Erik Hanson2010-05-13 01:00:58 +0200
commit06e454263971e01ebcc743291c31a90f0092eb0f (patch)
treee8089ce8ef011eac273273fa285d06727783ac9b
parentb205a68070a29158eb6c7697bcd5c968966c6412 (diff)
downloadslackbuilds-06e454263971e01ebcc743291c31a90f0092eb0f.tar.gz
system/nilfs-utils: Added to 13.0 repository
-rw-r--r--system/nilfs-utils/README4
-rw-r--r--system/nilfs-utils/doinst.sh14
-rw-r--r--system/nilfs-utils/nilfs-utils.SlackBuild89
-rw-r--r--system/nilfs-utils/nilfs-utils.info10
-rw-r--r--system/nilfs-utils/slack-desc19
5 files changed, 136 insertions, 0 deletions
diff --git a/system/nilfs-utils/README b/system/nilfs-utils/README
new file mode 100644
index 0000000000..cdeeb6732a
--- /dev/null
+++ b/system/nilfs-utils/README
@@ -0,0 +1,4 @@
+These are the userland utilities for the NILFS2 filesystem.
+
+This requires using a kernel >= 2.6.30, as earlier kernels do not
+include the necessary module.
diff --git a/system/nilfs-utils/doinst.sh b/system/nilfs-utils/doinst.sh
new file mode 100644
index 0000000000..400394ee28
--- /dev/null
+++ b/system/nilfs-utils/doinst.sh
@@ -0,0 +1,14 @@
+config() {
+ NEW="$1"
+ OLD="$(dirname $NEW)/$(basename $NEW .new)"
+ # If there's no config file by that name, mv it over:
+ if [ ! -r $OLD ]; then
+ mv $NEW $OLD
+ elif [ "$(cat $OLD | md5sum)" = "$(cat $NEW | md5sum)" ]; then # toss the redundant copy
+ rm $NEW
+ fi
+ # Otherwise, we leave the .new copy for the admin to consider...
+}
+
+config etc/nilfs_cleanerd.conf.new
+
diff --git a/system/nilfs-utils/nilfs-utils.SlackBuild b/system/nilfs-utils/nilfs-utils.SlackBuild
new file mode 100644
index 0000000000..14d5cc31e1
--- /dev/null
+++ b/system/nilfs-utils/nilfs-utils.SlackBuild
@@ -0,0 +1,89 @@
+#!/bin/sh
+
+# Slackware build script for nilfs-utils
+
+# Copyright 2010 Heinz Wiesinger, Amsterdam, The Netherlands
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ''AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=nilfs-utils
+VERSION=2.0.15
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.bz2
+cd $PRGNAM-$VERSION
+chown -R root:root .
+chmod -R u+w,go+r-w,a-s .
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --mandir=/usr/man \
+ --disable-static \
+ --build=$ARCH-slackware-linux
+
+make
+make install-strip DESTDIR=$PKG
+
+mv $PKG/etc/nilfs_cleanerd.conf $PKG/etc/nilfs_cleanerd.conf.new
+
+( cd $PKG/usr/man
+ find . -type f -exec gzip -9 {} \;
+ for i in $( find . -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+)
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a AUTHORS ChangeLog COPYING INSTALL NEWS README \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/system/nilfs-utils/nilfs-utils.info b/system/nilfs-utils/nilfs-utils.info
new file mode 100644
index 0000000000..20c02eee27
--- /dev/null
+++ b/system/nilfs-utils/nilfs-utils.info
@@ -0,0 +1,10 @@
+PRGNAM="nilfs-utils"
+VERSION="2.0.15"
+HOMEPAGE="http://www.nilfs.org/en/"
+DOWNLOAD="http://www.nilfs.org/download/nilfs-utils-2.0.15.tar.bz2"
+MD5SUM="8392f094530d8fcb80c7cd701400db99"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+MAINTAINER="Heinz Wiesinger"
+EMAIL="pprkut@liwjatan.at"
+APPROVED="Erik Hanson"
diff --git a/system/nilfs-utils/slack-desc b/system/nilfs-utils/slack-desc
new file mode 100644
index 0000000000..4c7fe4624b
--- /dev/null
+++ b/system/nilfs-utils/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------|
+nilfs-utils: nilfs-utils (Utilities for NILFS)
+nilfs-utils:
+nilfs-utils: These are the userland utilities for the NILFS2 filesystem.
+nilfs-utils:
+nilfs-utils: Homepage: http://www.nilfs.org/en/
+nilfs-utils:
+nilfs-utils:
+nilfs-utils:
+nilfs-utils:
+nilfs-utils:
+nilfs-utils: